-- MySQL dump 10.15  Distrib 10.0.38-MariaDB, for Linux (x86_64)
--
-- Host: localhost    Database: test1
-- ------------------------------------------------------
-- Server version	10.0.38-MariaDB

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `wu_adm_act`
--

DROP TABLE IF EXISTS `wu_adm_act`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_adm_act` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `usr` int(11) NOT NULL,
  `ty` int(2) NOT NULL COMMENT '0-succ,1-warning,2-error',
  `msg` varchar(1000) NOT NULL,
  `new` int(1) NOT NULL COMMENT '0-прочтено',
  `dt` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_adm_act`
--

LOCK TABLES `wu_adm_act` WRITE;
/*!40000 ALTER TABLE `wu_adm_act` DISABLE KEYS */;
INSERT INTO `wu_adm_act` VALUES (3,1,0,'Сменил пароль',1,1609600258);
/*!40000 ALTER TABLE `wu_adm_act` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_adm_auth`
--

DROP TABLE IF EXISTS `wu_adm_auth`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_adm_auth` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `st` int(2) NOT NULL COMMENT '0-info, 1-err,2-succ',
  `new` int(1) NOT NULL DEFAULT '1',
  `msg` varchar(1000) NOT NULL,
  `dt` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=cp1251 COMMENT='Авторизации';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_adm_auth`
--

LOCK TABLES `wu_adm_auth` WRITE;
/*!40000 ALTER TABLE `wu_adm_auth` DISABLE KEYS */;
/*!40000 ALTER TABLE `wu_adm_auth` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_adm_cash_out`
--

DROP TABLE IF EXISTS `wu_adm_cash_out`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_adm_cash_out` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `usr` int(11) NOT NULL,
  `ps` int(3) NOT NULL COMMENT 'Платёжная система',
  `n` varchar(100) NOT NULL COMMENT 'Номер кошелька',
  `s` decimal(10,2) NOT NULL COMMENT 'Сумма к выводу',
  `dt` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251 COMMENT='Заявки на вывод';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_adm_cash_out`
--

LOCK TABLES `wu_adm_cash_out` WRITE;
/*!40000 ALTER TABLE `wu_adm_cash_out` DISABLE KEYS */;
/*!40000 ALTER TABLE `wu_adm_cash_out` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_adm_operations`
--

DROP TABLE IF EXISTS `wu_adm_operations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_adm_operations` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `usr` int(10) NOT NULL,
  `ty` int(2) NOT NULL COMMENT '0-счёт,1-плюс,2-минус,3-ошибка',
  `new` int(2) NOT NULL DEFAULT '1',
  `msg` varchar(1000) NOT NULL,
  `dt` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=141 DEFAULT CHARSET=cp1251 COMMENT='История операций';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_adm_operations`
--

LOCK TABLES `wu_adm_operations` WRITE;
/*!40000 ALTER TABLE `wu_adm_operations` DISABLE KEYS */;
INSERT INTO `wu_adm_operations` VALUES (132,1,0,0,'Создал счёт в платёжной системе Payeer на сумму 55 руб.',1585428111),(133,0,0,0,'Создал счёт в платёжной системе Payeer на сумму  руб.',1585428387),(134,1,0,0,'Создал счёт в платёжной системе Payeer на сумму 7.75 руб.',1589693326),(135,1,0,0,'Создал счёт в платёжной системе Payeer на сумму 500 руб.',1589819064),(136,0,0,0,'Создал счёт в платёжной системе Payeer на сумму  руб.',1591876753),(137,0,0,0,'Создал счёт в платёжной системе Payeer на сумму  руб.',1592140807),(138,1,0,0,'Создал счёт в платёжной системе Payeer на сумму 5 руб.',1592142935),(139,0,0,0,'Создал счёт в платёжной системе Payeer на сумму  руб.',1592307808),(140,1,0,0,'Создал счёт в платёжной системе Payeer на сумму 300 руб.',1597432023);
/*!40000 ALTER TABLE `wu_adm_operations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_adm_profit`
--

DROP TABLE IF EXISTS `wu_adm_profit`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_adm_profit` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `s` decimal(10,2) NOT NULL COMMENT 'Сумма заработка',
  `dt` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_adm_profit`
--

LOCK TABLES `wu_adm_profit` WRITE;
/*!40000 ALTER TABLE `wu_adm_profit` DISABLE KEYS */;
/*!40000 ALTER TABLE `wu_adm_profit` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_adm_rat`
--

DROP TABLE IF EXISTS `wu_adm_rat`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_adm_rat` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pos` int(2) NOT NULL COMMENT 'Позиция',
  `ti` varchar(100) NOT NULL COMMENT 'Название уровня',
  `ot` decimal(10,2) NOT NULL COMMENT 'От скольки',
  `do` decimal(10,2) NOT NULL COMMENT 'До скольки',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251 COMMENT='Рейтинг';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_adm_rat`
--

LOCK TABLES `wu_adm_rat` WRITE;
/*!40000 ALTER TABLE `wu_adm_rat` DISABLE KEYS */;
/*!40000 ALTER TABLE `wu_adm_rat` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_cash_in`
--

DROP TABLE IF EXISTS `wu_cash_in`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_cash_in` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `usr` int(11) NOT NULL,
  `ps` int(3) NOT NULL COMMENT 'Платёжная система',
  `type` varchar(50) NOT NULL COMMENT 'Назначение ввода',
  `extra` varchar(200) NOT NULL COMMENT 'Дополнитльные параметры',
  `batch` varchar(50) NOT NULL COMMENT 'Транзакция',
  `s` varchar(50) NOT NULL COMMENT 'Сумма',
  `st` int(2) NOT NULL COMMENT '1-оплачен',
  `dt` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251 COMMENT='Счета для платёжнх систем';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_cash_in`
--

LOCK TABLES `wu_cash_in` WRITE;
/*!40000 ALTER TABLE `wu_cash_in` DISABLE KEYS */;
/*!40000 ALTER TABLE `wu_cash_in` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_config`
--

DROP TABLE IF EXISTS `wu_config`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_config` (
  `id` int(2) NOT NULL AUTO_INCREMENT,
  `sitename` varchar(200) NOT NULL,
  `theme` varchar(100) NOT NULL,
  `log_auth` int(2) NOT NULL COMMENT 'Отслеживать авторизации',
  `log_act` int(2) NOT NULL COMMENT 'Отслеживать активность, 0-нет, 1-вся, 2-ошибки',
  `log_fin` int(2) NOT NULL COMMENT 'Отслеживать финансовую активность',
  `notepad` text NOT NULL COMMENT 'Блокнот администратора',
  `adm_profit` decimal(10,2) NOT NULL COMMENT 'Заработано администрацией сегодня',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=cp1251 COMMENT='Настройки сайта';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_config`
--

LOCK TABLES `wu_config` WRITE;
/*!40000 ALTER TABLE `wu_config` DISABLE KEYS */;
INSERT INTO `wu_config` VALUES (1,'ESHOP','default',1,1,1,'',0.00);
/*!40000 ALTER TABLE `wu_config` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_es`
--

DROP TABLE IF EXISTS `wu_es`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_es` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Идентификатор товара',
  `usr` int(11) NOT NULL,
  `inf` int(2) NOT NULL DEFAULT '0' COMMENT '0 - Бесконечный, 1 - Ограниченный',
  `ty` int(2) NOT NULL DEFAULT '0' COMMENT '0 - Файл, 1 - Текст',
  `siz` varchar(30) NOT NULL DEFAULT '0' COMMENT 'Размер файла',
  `fi` varchar(100) NOT NULL DEFAULT '0' COMMENT 'Имя файла',
  `cat` int(2) NOT NULL COMMENT 'Категория',
  `co` decimal(10,2) NOT NULL COMMENT 'Стоимость товара',
  `ti` varchar(100) NOT NULL COMMENT 'Название товара',
  `ts` varchar(300) NOT NULL COMMENT 'Краткое описание товара',
  `tf` varchar(40000) NOT NULL COMMENT 'Полное описание товара',
  `sec` varchar(20000) NOT NULL DEFAULT '0' COMMENT 'Секретный код или ссылка на файл',
  `col` int(2) NOT NULL DEFAULT '0' COMMENT 'Цвет товара',
  `buy` int(11) NOT NULL COMMENT 'Покупок',
  `st` int(2) NOT NULL DEFAULT '0' COMMENT '0-на модерации,1-ок,2-недооформлено',
  `reas` varchar(300) NOT NULL,
  `dt` int(11) NOT NULL DEFAULT '0',
  `v` int(11) NOT NULL COMMENT 'Просмотров',
  `vo` int(11) NOT NULL COMMENT 'Голосов',
  `va` int(11) NOT NULL COMMENT 'Рейтинг',
  `u` text NOT NULL COMMENT 'Кто голосовал',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251 COMMENT='Товары';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_es`
--

LOCK TABLES `wu_es` WRITE;
/*!40000 ALTER TABLE `wu_es` DISABLE KEYS */;
/*!40000 ALTER TABLE `wu_es` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_es_b`
--

DROP TABLE IF EXISTS `wu_es_b`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_es_b` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `usr` varchar(11) NOT NULL,
  `m` int(11) NOT NULL COMMENT 'id товара',
  `un` int(20) NOT NULL COMMENT 'id экземпляра',
  `dt` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_es_b`
--

LOCK TABLES `wu_es_b` WRITE;
/*!40000 ALTER TABLE `wu_es_b` DISABLE KEYS */;
INSERT INTO `wu_es_b` VALUES (1,'5',27,0,1572359036),(2,'6',23,0,1572615666),(3,'10',22,0,1573222523),(4,'12',80,0,1575443246),(5,'4',46,0,1576691781),(6,'16',100,0,1578400461),(7,'103',23,0,1584302340);
/*!40000 ALTER TABLE `wu_es_b` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_es_c`
--

DROP TABLE IF EXISTS `wu_es_c`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_es_c` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `m` int(11) NOT NULL,
  `t` int(20) NOT NULL COMMENT 'id родительского коммента',
  `usr` int(11) NOT NULL,
  `c` varchar(10000) NOT NULL,
  `dt` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_es_c`
--

LOCK TABLES `wu_es_c` WRITE;
/*!40000 ALTER TABLE `wu_es_c` DISABLE KEYS */;
/*!40000 ALTER TABLE `wu_es_c` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_es_f`
--

DROP TABLE IF EXISTS `wu_es_f`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_es_f` (
  `id` int(20) NOT NULL AUTO_INCREMENT,
  `usr` int(11) NOT NULL,
  `f` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_es_f`
--

LOCK TABLES `wu_es_f` WRITE;
/*!40000 ALTER TABLE `wu_es_f` DISABLE KEYS */;
INSERT INTO `wu_es_f` VALUES (2,1,65);
/*!40000 ALTER TABLE `wu_es_f` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_es_i`
--

DROP TABLE IF EXISTS `wu_es_i`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_es_i` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `m` int(11) NOT NULL COMMENT 'id товара',
  `img` varchar(30) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_es_i`
--

LOCK TABLES `wu_es_i` WRITE;
/*!40000 ALTER TABLE `wu_es_i` DISABLE KEYS */;
/*!40000 ALTER TABLE `wu_es_i` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_es_s`
--

DROP TABLE IF EXISTS `wu_es_s`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_es_s` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `usr` int(11) NOT NULL,
  `tou` int(11) NOT NULL COMMENT 'На кого подписан',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251 COMMENT='Подписки на пользователей';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_es_s`
--

LOCK TABLES `wu_es_s` WRITE;
/*!40000 ALTER TABLE `wu_es_s` DISABLE KEYS */;
/*!40000 ALTER TABLE `wu_es_s` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_es_u`
--

DROP TABLE IF EXISTS `wu_es_u`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_es_u` (
  `id` int(20) NOT NULL AUTO_INCREMENT,
  `m` int(11) NOT NULL,
  `st` int(1) NOT NULL COMMENT '1-продано',
  `sec` varchar(10000) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_es_u`
--

LOCK TABLES `wu_es_u` WRITE;
/*!40000 ALTER TABLE `wu_es_u` DISABLE KEYS */;
INSERT INTO `wu_es_u` VALUES (2,42,0,'спасибо что купили сайт uiwallet.pro за товаром и доменом обрашаться на почту maksss2909@gmail.com'),(3,43,0,'спасибо что купили сайт uiwallet.pro за товаром и доменом обращаться на почту maksss2909@gmail.com там я передам вам сайт и домен. У вас должен быть аккаунт на reg.ru для получения домена');
/*!40000 ALTER TABLE `wu_es_u` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_login`
--

DROP TABLE IF EXISTS `wu_login`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_login` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `ip` varchar(30) NOT NULL,
  `c` int(3) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=24 DEFAULT CHARSET=cp1251 COMMENT='Входы';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_login`
--

LOCK TABLES `wu_login` WRITE;
/*!40000 ALTER TABLE `wu_login` DISABLE KEYS */;
INSERT INTO `wu_login` VALUES (12,'46.20.197.195',1),(22,'128.204.161.190',1),(23,'200167266042519101',1);
/*!40000 ALTER TABLE `wu_login` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_messages`
--

DROP TABLE IF EXISTS `wu_messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_messages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `fr` int(11) NOT NULL COMMENT 'От кого',
  `tou` int(11) NOT NULL COMMENT 'Кому',
  `msg` text NOT NULL,
  `files` text NOT NULL COMMENT 'Прикреплённые файлы',
  `new` int(2) NOT NULL,
  `bb` int(2) NOT NULL COMMENT 'BB-mode',
  `sm` int(2) NOT NULL COMMENT 'Смайлы',
  `dt` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_messages`
--

LOCK TABLES `wu_messages` WRITE;
/*!40000 ALTER TABLE `wu_messages` DISABLE KEYS */;
/*!40000 ALTER TABLE `wu_messages` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_notif`
--

DROP TABLE IF EXISTS `wu_notif`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_notif` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `usr` int(11) NOT NULL,
  `new` int(2) NOT NULL DEFAULT '1',
  `msg` varchar(1000) NOT NULL,
  `st` int(2) NOT NULL COMMENT '0-err,1-ok,2-info',
  `dt` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=cp1251 COMMENT='Уведомления';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_notif`
--

LOCK TABLES `wu_notif` WRITE;
/*!40000 ALTER TABLE `wu_notif` DISABLE KEYS */;
/*!40000 ALTER TABLE `wu_notif` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_online`
--

DROP TABLE IF EXISTS `wu_online`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_online` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `usr` int(11) NOT NULL,
  `ip` varchar(30) NOT NULL,
  `la` int(11) NOT NULL COMMENT 'Последний вход',
  `url` varchar(200) NOT NULL COMMENT 'Адрес текущей страницы',
  `ti` varchar(200) NOT NULL COMMENT 'Название текущей страницы',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10813 DEFAULT CHARSET=cp1251 COMMENT='Онлайн';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_online`
--

LOCK TABLES `wu_online` WRITE;
/*!40000 ALTER TABLE `wu_online` DISABLE KEYS */;
INSERT INTO `wu_online` VALUES (10810,0,'18518116611',1609600264,'/','На главной странице');
/*!40000 ALTER TABLE `wu_online` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_operations`
--

DROP TABLE IF EXISTS `wu_operations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_operations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `usr` int(11) NOT NULL,
  `ty` int(1) NOT NULL COMMENT '0-расход, 1-заработано, 2-введено, 3-выведено',
  `s` decimal(10,2) NOT NULL COMMENT 'Сумма',
  `msg` varchar(1000) NOT NULL COMMENT 'Операция',
  `dt` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=cp1251 COMMENT='История операций';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_operations`
--

LOCK TABLES `wu_operations` WRITE;
/*!40000 ALTER TABLE `wu_operations` DISABLE KEYS */;
INSERT INTO `wu_operations` VALUES (1,1,0,3.00,'Списание администратором',1609596485);
/*!40000 ALTER TABLE `wu_operations` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_pay_systems`
--

DROP TABLE IF EXISTS `wu_pay_systems`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_pay_systems` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pos` int(3) NOT NULL,
  `ident` varchar(100) NOT NULL COMMENT 'Идентификация платёжной системы',
  `ti` varchar(100) NOT NULL COMMENT 'Название',
  `keys_in` varchar(500) NOT NULL COMMENT 'Ключи для ввода',
  `keys_out` varchar(500) NOT NULL COMMENT 'Ключи для вывода',
  `keys_in_ti` varchar(300) NOT NULL COMMENT 'Подсказка',
  `keys_out_ti` varchar(300) NOT NULL COMMENT 'Подсказка',
  `active_in` int(2) NOT NULL COMMENT 'Активна для ввода',
  `active_out` int(2) NOT NULL COMMENT 'Активна для вывода',
  `out_type` int(2) NOT NULL COMMENT '0-вывод руками, 1-автомат',
  `out_min` decimal(10,2) NOT NULL COMMENT 'Минимум к выводу',
  `inprofile` int(2) NOT NULL COMMENT 'Показывать в профиле',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=cp1251 COMMENT='Платёжные системы';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_pay_systems`
--

LOCK TABLES `wu_pay_systems` WRITE;
/*!40000 ALTER TABLE `wu_pay_systems` DISABLE KEYS */;
INSERT INTO `wu_pay_systems` VALUES (1,1,'payeer','Payeer','000000000||0000','','id_магазина||секретный_ключ','Ключ|wu|секрет|wu|код',1,1,0,100.00,1),(2,2,'qiwi','Qiwi','0000||0000','','id_магазина||секретный_ключ','',1,1,0,100.00,1),(3,3,'yandex','Яндекс','0||0','','номер_кошелька||секретный ключ','',1,1,0,100.00,1),(4,4,'webmoney','Webmoney','R||0000','','R-кошелёк||секретный_ключ','',1,1,0,100.00,1),(5,5,'freekassa','FreeKassa','0000||0000||0000','','merchant_id||merchant_key||merchant_key2','',1,0,0,100.00,0);
/*!40000 ALTER TABLE `wu_pay_systems` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_tickets_cat`
--

DROP TABLE IF EXISTS `wu_tickets_cat`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_tickets_cat` (
  `id` int(3) NOT NULL AUTO_INCREMENT,
  `ti` varchar(200) NOT NULL,
  `pos` int(3) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=cp1251 COMMENT='Тикет категории';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_tickets_cat`
--

LOCK TABLES `wu_tickets_cat` WRITE;
/*!40000 ALTER TABLE `wu_tickets_cat` DISABLE KEYS */;
INSERT INTO `wu_tickets_cat` VALUES (1,'Финансовые вопросы',1),(2,'Жалоба на пользователя',2),(3,'Техническая неисправность',3),(4,'Прочие вопросы',4);
/*!40000 ALTER TABLE `wu_tickets_cat` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_tickets_main`
--

DROP TABLE IF EXISTS `wu_tickets_main`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_tickets_main` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `usr` int(11) NOT NULL,
  `cat` int(2) NOT NULL,
  `pr` int(3) NOT NULL,
  `th` varchar(100) NOT NULL COMMENT 'Название тикета',
  `dt` int(11) NOT NULL,
  `new_u` int(1) NOT NULL DEFAULT '0',
  `new_a` int(1) NOT NULL DEFAULT '1',
  `closed` int(2) NOT NULL COMMENT 'Закрыт',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=cp1251 COMMENT='Тикеты';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_tickets_main`
--

LOCK TABLES `wu_tickets_main` WRITE;
/*!40000 ALTER TABLE `wu_tickets_main` DISABLE KEYS */;
INSERT INTO `wu_tickets_main` VALUES (5,1,1,3,'qwerty',1585428538,0,0,0);
/*!40000 ALTER TABLE `wu_tickets_main` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_tickets_msg`
--

DROP TABLE IF EXISTS `wu_tickets_msg`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_tickets_msg` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `tid` int(11) NOT NULL,
  `msg` text NOT NULL,
  `files` text NOT NULL,
  `frm` int(1) NOT NULL DEFAULT '0' COMMENT '0 - user, 1- admin',
  `bb` int(2) NOT NULL COMMENT 'BB-mode',
  `sm` int(2) NOT NULL COMMENT 'Смайлы',
  `dt` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251 COMMENT='Тикет сообщения';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_tickets_msg`
--

LOCK TABLES `wu_tickets_msg` WRITE;
/*!40000 ALTER TABLE `wu_tickets_msg` DISABLE KEYS */;
/*!40000 ALTER TABLE `wu_tickets_msg` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_uploads`
--

DROP TABLE IF EXISTS `wu_uploads`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_uploads` (
  `id` int(100) NOT NULL AUTO_INCREMENT,
  `usr` int(11) NOT NULL,
  `file` varchar(100) NOT NULL,
  `dt` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_uploads`
--

LOCK TABLES `wu_uploads` WRITE;
/*!40000 ALTER TABLE `wu_uploads` DISABLE KEYS */;
/*!40000 ALTER TABLE `wu_uploads` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `wu_users`
--

DROP TABLE IF EXISTS `wu_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `wu_users` (
  `uid` int(11) NOT NULL AUTO_INCREMENT,
  `log` varchar(50) DEFAULT NULL,
  `pas` varchar(32) NOT NULL COMMENT 'Хэш пароля',
  `ref` int(11) NOT NULL COMMENT 'Реферер',
  `bal` decimal(11,5) NOT NULL DEFAULT '0.00000' COMMENT 'Баланс аккаунта',
  `bal_f` decimal(10,2) NOT NULL COMMENT 'Замороженные средства',
  `purse` varchar(500) NOT NULL COMMENT 'Кошельки',
  `regdate` int(11) NOT NULL COMMENT 'Дата регистрации',
  `regip` varchar(15) NOT NULL,
  `lastip` varchar(15) NOT NULL,
  `last` int(11) NOT NULL COMMENT 'Последний вход',
  `mail` varchar(100) NOT NULL,
  `mailver` int(2) NOT NULL COMMENT 'Проверен E-mail',
  `tomail` int(2) NOT NULL DEFAULT '1' COMMENT 'Уведомления на E-mail',
  `av` varchar(200) NOT NULL COMMENT 'Аватар',
  `rat` decimal(10,2) NOT NULL COMMENT 'Рейтинг',
  `toref` decimal(10,3) NOT NULL COMMENT 'Отдано рефереру',
  `admin_text` text NOT NULL COMMENT 'Заметка админа',
  `multi` int(11) NOT NULL COMMENT 'Мультиаккаунт',
  `ban` varchar(200) NOT NULL COMMENT '(0-навсегда/дата)||причина',
  PRIMARY KEY (`uid`)
) ENGINE=InnoDB AUTO_INCREMENT=107 DEFAULT CHARSET=cp1251 COMMENT='Пользователи';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `wu_users`
--

LOCK TABLES `wu_users` WRITE;
/*!40000 ALTER TABLE `wu_users` DISABLE KEYS */;
INSERT INTO `wu_users` VALUES (0,'admin2','909adfa61748bb1f6e854351e3caae96',0,0.00000,0.00,'payeer::P1007686941',1583443959,'185.181.166.15','185.181.166.15',1583754400,'maksss2909@gmail.com',0,1,'',0.00,0.000,'',0,''),(1,'admin','59ee2aeedec6ef030e32313834ff78f2',0,0.00000,0.00,'',1584285730,'185.181.166.15','185.181.166.11',1609596347,'eshop@shop.ru',1,1,'',0.00,0.000,'',0,'');
/*!40000 ALTER TABLE `wu_users` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2021-01-02 18:11:18
