<!doctype html>
<html>
<head>
<title><?php echo $page_name; ?></title>
<meta charset="utf-8">
<meta name="keywords" content="<?php echo $page_keys; ?>" />
<meta name="description" content="<?php echo $page_desc; ?>" />
<meta name="viewport" content="width=device-width" />
<link rel="shortcut icon" href="/favicon.ico">
<link href="/wu-static/css/wu_main.css" rel="stylesheet" type="text/css">
<link href="/wu-static/css/icons.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="/wu-static/js/jquery.js"></script>
<?php if (isset($page_head)) { echo $page_head; } ?>
<link href="/wu-themes/default/css/style.css" rel="stylesheet" type="text/css">
<link href="//fonts.googleapis.com/css?family=Open+Sans:400,300,600,700&amp;subset=latin,cyrillic-ext" rel="stylesheet" type="text/css">
<script type="text/javascript">var token = '<?php echo $token; ?>';</script>
</head>
<body
<?php if(isset($_COOKIE["sidebar"])) { if ($_COOKIE["sidebar"] == 0) { echo ' class="sidebar-narrow"'; } } ?>>
<div class="pagecontent">
<div>
<!-- Навигация -->
<div class="navbar navbar-inverse" role="navigation">
<div class="navbar-header">
<a class="navbar-brand" href="/"><?php echo $wu_conf['sitename']; ?></a>
<a class="sidebar-toggle"><i class="icon-paragraph-justify2"></i></a>
<button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#navbar-icons">
<span class="sr-only">Навбар</span>
<i class="icon-grid3"></i>
</button>
<button type="button" class="navbar-toggle offcanvas">
<span class="sr-only">Навигация</span>
<i class="icon-paragraph-justify2"></i>
</button>
</div>
<ul class="nav navbar-nav navbar-right collapse" id="navbar-icons" style="z-index: 1;">
<li class="dropdown" id="onlines">
<a class="dropdown-toggle" data-toggle="dropdown">
<i class="icon-users"></i>
<span>Онлайн</span>
<span class="label label-default"><?php echo $onl; ?></span>
</a>
<div class="popup dropdown-menu dropdown-menu-right">
<div class="popup-header">
<span>Пользователи онлайн</span>
</div>
<ul class="popup-messages" id="onlinev"></ul>
</div>
</li>
<?php if(!USER_LOGGED) { ?>
<li class="user dropdown">
<a class="dropdown-toggle" data-toggle="dropdown">
<i class="icon-users" style="padding-top:8px"></i>
<span>Авторизация</span>
<i class="caret"></i>
</a>
<ul class="dropdown-menu dropdown-menu-right icons-right">
<li><a data-toggle="modal" role="button" href="#modal_login"><i class="icon-user"></i> Вход</a></li>
<li><a href="/register" id="regback"><i class="icon-user-plus"></i> Регистрация</a></li>
<li><a href="/lostpassword"><i class="icon-user-cancel"></i> Восстановление</a></li>
</ul>
</li>
<?php } else { ?>
<li>
<a href="/account/support">
<i class="icon-phone2"></i>
<span>Поддержка</span>
<?php $tq = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT COUNT(id) AS `how` FROM `".DB_PREFIX."_tickets_main` WHERE usr = '$u_id' AND new_u = '1'")); if ($tq['how'] > 0) { echo "<span class='label label-default'>$tq[how]</span>"; } ?>
</a>
</li>
<li class="dropdown" id="notifs">
<a class="dropdown-toggle" data-toggle="dropdown">
<i class="icon-info"></i>
<span>Уведомления</span>
<?php $ntf=mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT COUNT(id) AS `how` FROM `".DB_PREFIX."_notif` WHERE usr='$u_id' AND new = '1'")); if ($ntf['how'] > 0) { ?><span class="label label-default" id="notifc"><?php echo $ntf['how']; ?></span><?php } ?>
</a>
<div class="popup dropdown-menu dropdown-menu-right">
<div class="popup-header">
<a href="javascript://" class="pull-left" id="notifd" data-loading-text="<i class='icon-spinner7 spin'></i>"><i class="icon-remove"></i></a>
<span>Уведомления</span>
<a href="/account/notifications" class="pull-right" style="margin-right: 0;"><i class="icon-paragraph-justify"></i></a>
</div>
<ul class="activity" id="notifv"></ul>
</div>
</li>
<li>
<a href="/account/messages">
<i class="icon-bubbles4"></i>
<span>ЛС</span>
<?php $ls = mysqli_fetch_assoc(mysqli_query($connect_db, "SELECT COUNT(id) AS `how` FROM `".DB_PREFIX."_messages` WHERE tou = '$u_id' AND new='1'")); if ($ls['how'] > 0) { echo "<span class='label label-default'>$ls[how]</span>"; } ?>
</a>
</li>
<li class="user dropdown">
<a class="dropdown-toggle" data-toggle="dropdown">
<i class="icon-coin" style="margin-top: 10px;"></i>
<span><font id="user_bal"><?php echo number_format($nowuser['bal'],2,'.',','); ?></font> руб.</span>
<i class="caret"></i>
</a>
<ul class="dropdown-menu dropdown-menu-right icons-right">
<li><a href="/account/cashadd"><i class="icon-plus-circle"></i> Пополнить</a></li>
<li><a href="/account/cashout"><i class="icon-minus-circle"></i> Вывести</a></li>
<li><a href="/account/operations"><i class="icon-history"></i> История</a></li>
</ul>
</li>
<li class="user dropdown">
<a class="dropdown-toggle" data-toggle="dropdown">
<?php if (empty($nowuser['av'])) { echo '<i class="icon-user" style="margin-top: 10px;"></i>'; } else { echo '<img src="/wu-uploads/avatars/thumbs/'.$nowuser['av'].'" />'; } ?>
<span><?php echo $u_login; ?></span>
<i class="caret"></i>
</a>
<ul class="dropdown-menu dropdown-menu-right icons-right">
<li><a href="/account/eshop_new"><i class="icon-pencil3"></i> Новый товар</a></li>
<li><a href="/account/eshop_my"><i class="icon-file6"></i> Мои товары</a></li>
<li><a href="/account/eshop_purchase"><i class="icon-file-download"></i> Мои покупки</a></li>
<li><a href="/account/eshop_favorites"><i class="icon-heart2"></i> Избранное</a></li>
<li><a href="/account/eshop_subscribe"><i class="icon-megaphone"></i> Подписки</a></li>
<li class="divider"></li>
<li><a href="/account/"><i class="icon-profile"></i> Аккаунт</a></li>
<li><a href="/account/exit"><i class="icon-exit"></i> Выход</a></li>
</ul>
</li>
<?php } ?>
</ul>
</div>
<?php if (!USER_LOGGED) { ?>
<div id="modal_login" class="modal fade" tabindex="-1" role="dialog">
<div class="modal-dialog modal-sm">
<div class="modal-content">
<div class="modal-header">
<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
<h4 class="modal-title"><i class="icon-user"></i> Вход</h4>
</div>
<div class="modal-body with-padding">
<form action="#" role="form">
<div class="form-group has-feedback">
<label>Логин</label>
<input type="text" class="form-control" placeholder="Логин" id="log_login" />
<i class="icon-users form-control-feedback"></i>
</div>
<div class="form-group has-feedback">
<label>Пароль</label>
<input type="password" class="form-control" placeholder="Пароль" id="log_pass" />
<i class="icon-lock form-control-feedback"></i>
</div>
</form>
</div>
<div class="modal-footer">
<button class="btn btn-success" id="btnlogin" data-loading-text="<i class='icon-spinner7 spin'></i> Входим"><i class="icon-enter"></i> Войти</button>
<button class="btn btn-warning" data-dismiss="modal">Отмена</button>
</div>
</div>
</div>
</div>
<?php } ?>
<div class="page-container">
<div class="sidebar">
<?php
//Левое меню
include(dirname(__FILE__).'/../../wu-engine/wu_menu.php');
?>
</div>
<div class="page-content sbarred">
<div class="page-header">
<div class="page-title">
<h3><?php echo $page_name; ?><small><?php echo $page_desc; ?></small></h3>
</div>
<?php if (!empty($page_right)) { echo '<div class="visible-xs header-element-toggle"><a class="btn btn-primary btn-icon" data-toggle="collapse" data-target="#header-buttons"><i class="icon-insert-template"></i></a></div>'.$page_right; } ?>
</div>
<!-- Информационная строка -->
<div class="breadcrumb-line">
<ul class="breadcrumb">
<li><a href="/">Главная</a></li>
<?php if (!empty($prevurl_1) || !empty($prevname_1)) { ?><li><a href="<?php if (!empty($prevurl_1)) { echo $prevurl_1; } else { echo 'Адрес_не_указан'; } ?>"><?php if (!empty($prevname_1)) { echo $prevname_1; } else { echo 'Название страницы не указано'; } ?></a></li><?php } ?>
<?php if (!empty($prevurl_2) || !empty($prevname_2)) { ?><li><a href="<?php if (!empty($prevurl_2)) { echo $prevurl_2; } else { echo 'Адрес_не_указан'; } ?>"><?php if (!empty($prevname_2)) { echo $prevname_2; } else { echo 'Название страницы не указано'; } ?></a></li><?php } ?>
<?php if (!empty($prevurl_3) || !empty($prevname_3)) { ?><li><a href="<?php if (!empty($prevurl_3)) { echo $prevurl_3; } else { echo 'Адрес_не_указан'; } ?>"><?php if (!empty($prevname_3)) { echo $prevname_3; } else { echo 'Название страницы не указано'; } ?></a></li><?php } ?>
<?php if (!empty($prevurl_4) || !empty($prevname_4)) { ?><li><a href="<?php if (!empty($prevurl_4)) { echo $prevurl_4; } else { echo 'Адрес_не_указан'; } ?>"><?php if (!empty($prevname_4)) { echo $prevname_4; } else { echo 'Название страницы не указано'; } ?></a></li><?php } ?>
<li class="active"><?php echo $page_name; ?></li>
</ul>
<div class="visible-xs breadcrumb-toggle">
<a class="btn btn-link btn-lg btn-icon" data-toggle="collapse" data-target="#breadcrumb-buttons"><i class="icon-menu2"></i></a>
</div>
<ul class="breadcrumb-buttons collapse" id="breadcrumb-buttons">
<li>
<a href="/eshop_search"><i class="icon-search3"></i> <span>Поиск</span></a>
</li>
</ul>
</div>

<!-- Контент -->

